<?xml version="1.0" encoding="UTF-8"?>
<tables>
	<table name="t_reportoutput" schema="squareout">
	  <variable name="pk" type="int generated always as identity" />
	  <variable name="fk_report" type="integer" comment="corresponding report" />
		<variable name="latexcode" type="text" comment="latex code" />
		<variable name="pdf" type="text" isnull="true" comment="pdf content" />
		<variable name="checksum" type="text" default="md5(latexcode)" comment="md5 of latexcode" />
	  <primarykey name="pk_reportoutput" variable="pk" />
	  <unique name="uk_reportoutput" variable="fk_report, checksum" />
	  <foreignkey name="fk_reportoutput_report" variable="fk_report" references="square.t_report(pk)" />
    <index name="idx_reportoutput_report" variable="fk_report" />
    <grant privilege="select,insert,update,delete" schemaname="interface_square" />
    <grant privilege="select,insert,update,delete" schemaname="interface_rserver" />
	</table>
</tables>
